Subject: Re: bug#25025: python-shell-calculate-command is wrong

From: Andreas Röhler <[email-masked]>
Date: Mon, 28 Nov 2016 17:43:43 +0100

On 28.11.2016 15:15, [email-masked] wrote:
> Andreas Röhler <[email-masked]> writes:
>> Executing Python code via a shell might produce subtle bugs. See
>> https://bugs.launchpad.net/python-mode/+bug/550661
> We're talking about executing the python executable via a shell, not
> python code via a "python shell", which is something different.

Seeing the example was not clear, sorry. Just tried to you give a piece 
of code which would fail doing shell-commend-on-region.
Try print(u'\xA9') with python2. With python3 it works here. AFAIU the 
current python.el doesn't pipe to Python-code to exec through a shell - 
for related reasons.

>
>> Following the OP's suggestion seems reasonable. Just drop it at place
>> and see if something gets broken - wouldn't expect it.
> See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25025#8 for why it
> would break.

Only see a question there, not a statement. BTW have no system of the 
OP's kind, can't check that.